Subject: [bug#28356] [PATCH 1/1] doc: Replace server-list with server-blocks.

From: Oleg Pykhalov <[email-masked]>
Date: Thu, 07 Sep 2017 10:46:29 +0300

Hello Christopher,

Christopher Baines <[email-masked]> writes:

> On Tue, 05 Sep 2017 14:15:30 +0300
> Oleg Pykhalov <[email-masked]> wrote:
>
>> From 2799970350073812c2d458d9750649cdf7f23315 Mon Sep 17 00:00:00 2001
>> From: Oleg Pykhalov <[email-masked]>
>> Date: Tue, 5 Sep 2017 14:04:14 +0300
>> Subject: [PATCH 1/1] doc: Replace server-list with server-blocks.
>> 
>> * doc/guix.texi (Web Services): Replace 'server-list' with
>> 'server-blocks'. ---
>>  doc/guix.texi | 10 +++++-----
>>  1 file changed, 5 insertions(+), 5 deletions(-)
>> 
>> diff --git a/doc/guix.texi b/doc/guix.texi
>> index e7a88e19f..9ac52535b 100644
>
> I'm having problems applying this:
>
> error: sha1 information is lacking or useless (doc/guix.texi).
> error: could not build fake ancestor
>
> I think this might be happening, as I don't have something locally that
> coresponds to e7a88e19f. Is this patch on some version of guix.texi
> that hasn't made it in to the master branch yet?

Yes, sorry for that.

>> …
> Thanks for spotting this. Obviously I missed it when removing the
> nginx-service procedure.
>
> It looks like this is also a problem elsewhere in the docs, as I can
> see a few more instances of server-list. Also, it looks like
> upstream-list has exactly the same problem. I think it would be good to
> fix all of the server-list bits in this patch at least. Could you add
> them?

Sure, I replaced all instances in which Emacs (query-replace) found in
doc/guix.texi.

>From 0f4ec7e7cfbf5619ce029e6dc17819d5be104b87 Mon Sep 17 00:00:00 2001
From: Oleg Pykhalov <[email-masked]>
Date: Tue, 5 Sep 2017 14:04:14 +0300
Subject: [PATCH] doc: Replace server-list with server-blocks.

* doc/guix.texi (Web Services): Replace 'server-list' with 'server-blocks'.
---
 doc/guix.texi | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index 3e9593d0c..b06108524 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -14037,7 +14037,7 @@ A simple example configuration is given below.
 @example
 (service nginx-service-type
          (nginx-configuration
-           (server-list
+           (server-blocks
              (list (nginx-server-configuration
                      (server-name '("www.example.com"))
                      (root "/srv/http/www.example.com")
@@ -14085,7 +14085,7 @@ The directory to which NGinx will write log files.
 The directory in which NGinx will create a pid file, and write temporary
 files.
 
-@item @code{server-list} (default: @code{'()})
+@item @code{server-blocks} (default: @code{'()})
 A list of @dfn{server blocks} to create in the generated configuration
 file, the elements should be of type
 @code{<nginx-server-configuration>}.
@@ -14096,7 +14096,7 @@ HTTPS.
 @example
 (service nginx-service-type
          (nginx-configuration
-           (server-list
+           (server-blocks
              (list (nginx-server-configuration
                      (server-name '("www.example.com"))
                      (root "/srv/http/www.example.com")
@@ -14121,7 +14121,7 @@ requests with two servers.
 (service
   nginx-service-type
   (nginx-configuration
-    (server-list
+    (server-blocks
       (list (nginx-server-configuration
               (server-name '("www.example.com"))
               (root "/srv/http/www.example.com")
@@ -14143,9 +14143,9 @@ requests with two servers.
 @item @code{file} (default: @code{#f})
 If a configuration @var{file} is provided, this will be used, rather than
 generating a configuration file from the provided @code{log-directory},
-@code{run-directory}, @code{server-list} and @code{upstream-list}.  For
-proper operation, these arguments should match what is in @var{file} to
-ensure that the directories are created when the service is activated.
+@code{run-directory}, @code{server-blocks} and @code{upstream-list}.  For
+proper operation, these arguments should match what is in @var{file} to ensure
+that the directories are created when the service is activated.
 
 This can be useful if you have an existing configuration file, or it's
 not possible to do what is required through the other parts of the
-- 
2.14.1